Skip to content

Schedule Run List

GET
/pipelines/jobs/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/jobs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
page_no
integer

The page number from which you want your page search results to be displayed.

page_size
integer

Number of results per page

pipeline_version_id
string format: uuid

Filter scheduled runs by pipeline version ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

A list of scheduled jobs.

Media typeapplication/json
object
code

HTTP status code for the operation.

integer
data
Array<object>
object
id

The unique identifier of the scheduled job.

integer
name

The name of the scheduled job.

string
job_id

Unique identifier for the job.

string
is_enabled

Indicates whether the job is enabled.

boolean
experiment_id

ID of the associated experiment.

string
pipeline_version_id

ID of the pipeline version.

string
max_concurrency

The maximum number of concurrent runs allowed.

integer
trigger
object
periodic_schedule
object
end_time

The end time for the schedule.

string format: date-time
start_time

The start time for the schedule.

string format: date-time
interval_second

Interval in seconds for periodic execution.

integer
source

The source of the job.

string
errors

Error details (empty if none).

object
message

General response message.

string

Example

{
"code": 200,
"data": [
{
"id": 30,
"name": "tir-run-111417044747",
"job_id": "e05346aa-97ce-41d0-962f-f9087c86c5f6",
"is_enabled": true,
"experiment_id": "843",
"pipeline_version_id": "1792",
"max_concurrency": 1,
"trigger": {
"periodic_schedule": {
"end_time": "2024-11-15T18:25:47Z",
"start_time": "2024-11-14T18:25:47Z",
"interval_second": 86400
}
},
"source": "pipeline"
}
],
"message": "Success"
}